Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_beaker.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_beaker.rst	(revision 11480)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_beaker.rst	(revision 11480)
@@ -0,0 +1,6 @@
+`beaker` -- dolmen.beaker Configuration Module
+**********************************************
+
+.. automodule:: waeup.kofa.beaker
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_image.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_image.rst	(revision 11480)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_image.rst	(revision 11480)
@@ -0,0 +1,22 @@
+`image` -- Image File Components Package
+****************************************
+
+(see also: :ref:`api-image-modules`)
+
+.. automodule:: waeup.kofa.image
+   :members:
+   :undoc-members:
+
+.. _api-image-modules:
+
+Submodules
+----------
+
+This package bundles the following modules:
+
+.. toctree::
+   :maxdepth: 1
+
+   image/api_image
+   image/api_schema
+
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_mandates.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_mandates.rst	(revision 11480)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_mandates.rst	(revision 11480)
@@ -0,0 +1,23 @@
+`mandates` -- Mandates Components Package
+*****************************************
+
+(see also: :ref:`api-mandates-modules`)
+
+.. automodule:: waeup.kofa.mandates
+   :members:
+   :undoc-members:
+
+.. _api-mandates-modules:
+
+Submodules
+----------
+
+This package bundles the following modules:
+
+.. toctree::
+   :maxdepth: 1
+
+   mandates/api_browser
+   mandates/api_container
+   mandates/api_mandate
+
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_meta.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_meta.rst	(revision 11480)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_meta.rst	(revision 11480)
@@ -0,0 +1,6 @@
+`meta` -- Kofa Components Grokkers Module
+*****************************************
+
+.. automodule:: waeup.kofa.meta
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_schema.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_schema.rst	(revision 11479)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_schema.rst	(revision 11480)
@@ -4,5 +4,5 @@
 (see also: :ref:`api-schema-modules`)
 
-.. automodule:: waeup.kofa.utils
+.. automodule:: waeup.kofa.schema
    :members:
    :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_schoolgrades.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_schoolgrades.rst	(revision 11480)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_schoolgrades.rst	(revision 11480)
@@ -0,0 +1,6 @@
+`schoolgrades` -- School Grades Components Module
+*************************************************
+
+.. automodule:: waeup.kofa.schoolgrades
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_smtp.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_smtp.rst	(revision 11480)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_smtp.rst	(revision 11480)
@@ -0,0 +1,6 @@
+`smtp` -- SMTP Services Components Module
+*****************************************
+
+.. automodule:: waeup.kofa.smtp
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_startup.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_startup.rst	(revision 11480)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_startup.rst	(revision 11480)
@@ -0,0 +1,6 @@
+`startup` -- WSGI Application Factories Module
+**********************************************
+
+.. automodule:: waeup.kofa.startup
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/image/api_image.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/image/api_image.rst	(revision 11480)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/image/api_image.rst	(revision 11480)
@@ -0,0 +1,6 @@
+`image.image` - Image File Components
+*************************************
+
+.. automodule:: waeup.kofa.image.image
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/image/api_schema.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/image/api_schema.rst	(revision 11480)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/image/api_schema.rst	(revision 11480)
@@ -0,0 +1,6 @@
+`image.schema` - Image File Schemas
+***********************************
+
+.. automodule:: waeup.kofa.image.schema
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/index.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/index.rst	(revision 11479)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/index.rst	(revision 11480)
@@ -18,4 +18,5 @@
    api_async
    api_authentication
+   api_beaker
    api_browser
    api_catalog
@@ -24,8 +25,11 @@
    api_fees
    api_hostels
+   api_image
    api_imagestorage
    api_interfaces
    api_language
    api_maintenance
+   api_mandates
+   api_meta
    api_objecthistory
    api_payments
@@ -33,5 +37,8 @@
    api_reports
    api_schema
+   api_schoolgrades
+   api_smtp
    api_sourcefactory
+   api_startup
    api_students
    api_university
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/mandates/api_browser.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/mandates/api_browser.rst	(revision 11480)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/mandates/api_browser.rst	(revision 11480)
@@ -0,0 +1,6 @@
+`mandates.browser` - Mandates UI Components
+*******************************************
+
+.. automodule:: waeup.kofa.mandates.browser
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/mandates/api_container.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/mandates/api_container.rst	(revision 11480)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/mandates/api_container.rst	(revision 11480)
@@ -0,0 +1,6 @@
+`mandates.container` - Mandate Container Components
+***************************************************
+
+.. automodule:: waeup.kofa.mandates.container
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/mandates/api_mandate.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/mandates/api_mandate.rst	(revision 11480)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/mandates/api_mandate.rst	(revision 11480)
@@ -0,0 +1,6 @@
+`mandates.mandate` - Mandate Components
+***************************************
+
+.. automodule:: waeup.kofa.mandates.mandate
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/src/waeup/kofa/image/__init__.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/image/__init__.py	(revision 11479)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/image/__init__.py	(revision 11480)
@@ -1,5 +1,5 @@
 """Image file components.
 
-Includings schemas, widgets and the content components.
+Including schemas, widgets and the content components.
 """
 from waeup.kofa.image.image import KofaImageFile, createKofaImageFile
Index: /main/waeup.kofa/trunk/src/waeup/kofa/imagestorage.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/imagestorage.py	(revision 11479)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/imagestorage.py	(revision 11480)
@@ -99,5 +99,5 @@
 example we want applicant images to be stored in a different directory
 than student images, etc. Because the file store cannot know all
-details about these special tratment of certain files, it looks up
+details about these special treatment of certain files, it looks up
 helpers (handlers) to provide the information it needs for really
 storing the files at the correct location.
Index: /main/waeup.kofa/trunk/src/waeup/kofa/schema/__init__.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/schema/__init__.py	(revision 11479)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/schema/__init__.py	(revision 11480)
@@ -1,3 +1,8 @@
 from waeup.kofa.schema.field import *
 
-__all__ = tuple(name for name in globals() if not name.startswith('_'))
+#__all__ = tuple(name for name in globals() if not name.startswith('_'))
+
+__all__ = ('CustomizableErrorMsg',
+           'TextLineChoice',
+           'FormattedDate',
+           'PhoneNumber')