Index: main/waeup.kofa/trunk/CHANGES.txt
===================================================================
--- main/waeup.kofa/trunk/CHANGES.txt	(revision 11483)
+++ main/waeup.kofa/trunk/CHANGES.txt	(revision 11484)
@@ -4,4 +4,6 @@
 1.0.1dev (unreleased)
 =====================
+
+* Add display_fullname column to CourseTicketExporter (requested by Uniben).
 
 * Do also export student and course ticket data of students on probation.
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/export.py	(revision 11483)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/export.py	(revision 11484)
@@ -275,5 +275,6 @@
     #: Fieldnames considered by this exporter
     fields = tuple(sorted(iface_names(ICourseTicket) +
-        ['level', 'code', 'level_session'])) + ('student_id', 'certcode')
+        ['level', 'code', 'level_session'])) + ('student_id',
+        'certcode', 'display_fullname')
 
     #: The title under which this exporter will be displayed
@@ -288,10 +289,10 @@
         if context is not None:
             student = context.student
-            if name == 'student_id' and student is not None:
+            if name in ('student_id', 'display_fullname') and student is not None:
                 value = getattr(student, name, None)
-            if name == 'level':
-                value = getattr(context, 'level', lambda: None)
-            if name == 'level_session':
-                value = getattr(context, 'level_session', lambda: None)
+            #if name == 'level':
+            #    value = getattr(context, 'level', lambda: None)
+            #if name == 'level_session':
+            #    value = getattr(context, 'level_session', lambda: None)
         return super(
             CourseTicketExporter, self).mangle_value(
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 11483)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 11484)
@@ -525,6 +525,7 @@
             result,
             'automatic,carry_over,code,credits,dcode,fcode,level,level_session,'
-            'mandatory,passmark,score,semester,title,student_id,certcode\r\n'
-            '0,0,,,,,,,0,,,,,,\r\n'
+            'mandatory,passmark,score,semester,title,student_id,certcode,'
+            'display_fullname\r\n'
+            '0,0,,,,,,,0,,,,,,,\r\n'
             )
         return
@@ -543,6 +544,8 @@
             result,
             'automatic,carry_over,code,credits,dcode,fcode,level,level_session,'
-            'mandatory,passmark,score,semester,title,student_id,certcode\r\n'
-            '1,1,CRS1,100,DEP1,FAC1,100,2012,0,100,,2,Course 1,A111111,CERT1\r\n'
+            'mandatory,passmark,score,semester,title,student_id,certcode,'
+            'display_fullname\r\n'
+            '1,1,CRS1,100,DEP1,FAC1,100,2012,0,100,,2,Course 1,A111111,CERT1,'
+            'Anna M. Tester\r\n'
             )
         return
@@ -558,6 +561,8 @@
             result,
             'automatic,carry_over,code,credits,dcode,fcode,level,level_session,'
-            'mandatory,passmark,score,semester,title,student_id,certcode\r\n'
-            '1,1,CRS1,100,DEP1,FAC1,100,2012,0,100,,2,Course 1,A111111,CERT1\r\n'
+            'mandatory,passmark,score,semester,title,student_id,certcode,'
+            'display_fullname\r\n'
+            '1,1,CRS1,100,DEP1,FAC1,100,2012,0,100,,2,Course 1,A111111,CERT1,'
+            'Anna M. Tester\r\n'
             )
         return
@@ -572,6 +577,8 @@
             result,
             'automatic,carry_over,code,credits,dcode,fcode,level,level_session,'
-            'mandatory,passmark,score,semester,title,student_id,certcode\r\n'
-            '1,1,CRS1,100,DEP1,FAC1,100,2012,0,100,,2,Course 1,A111111,CERT1\r\n'
+            'mandatory,passmark,score,semester,title,student_id,certcode,'
+            'display_fullname\r\n'
+            '1,1,CRS1,100,DEP1,FAC1,100,2012,0,100,,2,Course 1,A111111,CERT1,'
+            'Anna M. Tester\r\n'
             )
         return
@@ -590,6 +597,8 @@
             result,
             'automatic,carry_over,code,credits,dcode,fcode,level,level_session,'
-            'mandatory,passmark,score,semester,title,student_id,certcode\r\n'
-            '1,1,CRS1,100,DEP1,FAC1,100,2012,0,100,,2,Course 1,A111111,CERT1\r\n'
+            'mandatory,passmark,score,semester,title,student_id,certcode,'
+            'display_fullname\r\n'
+            '1,1,CRS1,100,DEP1,FAC1,100,2012,0,100,,2,Course 1,A111111,CERT1,'
+            'Anna M. Tester\r\n'
             )
         # if the coursetickets catalog is used to filter students
@@ -602,6 +611,8 @@
             result,
             'automatic,carry_over,code,credits,dcode,fcode,level,level_session,'
-            'mandatory,passmark,score,semester,title,student_id,certcode\r\n'
-            '1,1,CRS1,100,DEP1,FAC1,100,2012,0,100,,2,Course 1,A111111,CERT1\r\n'
+            'mandatory,passmark,score,semester,title,student_id,certcode,'
+            'display_fullname\r\n'
+            '1,1,CRS1,100,DEP1,FAC1,100,2012,0,100,,2,Course 1,A111111,CERT1,'
+            'Anna M. Tester\r\n'
             )
         exporter.export_filtered(
@@ -611,5 +622,6 @@
             result,
             'automatic,carry_over,code,credits,dcode,fcode,level,level_session,'
-            'mandatory,passmark,score,semester,title,student_id,certcode\r\n'
+            'mandatory,passmark,score,semester,title,student_id,certcode,'
+            'display_fullname\r\n'
             )
         # Also tickets in probating levels are exported. Therefore
@@ -623,6 +635,8 @@
             result,
             'automatic,carry_over,code,credits,dcode,fcode,level,level_session,'
-            'mandatory,passmark,score,semester,title,student_id,certcode\r\n'
-            '1,1,CRS1,100,DEP1,FAC1,110,2012,0,100,,2,Course 1,A111111,CERT1\r\n'
+            'mandatory,passmark,score,semester,title,student_id,certcode,'
+            'display_fullname\r\n'
+            '1,1,CRS1,100,DEP1,FAC1,110,2012,0,100,,2,Course 1,A111111,CERT1,'
+            'Anna M. Tester\r\n'
             )
         return