Index: /main/waeup.kofa/trunk/CHANGES.txt
===================================================================
--- /main/waeup.kofa/trunk/CHANGES.txt	(revision 11522)
+++ /main/waeup.kofa/trunk/CHANGES.txt	(revision 11523)
@@ -4,4 +4,6 @@
 1.2dev (unreleased)
 ===================
+
+* Windows is no longer supported. Installation manual removed.
 
 * Added JS helper to scroll to sequencelists after adding/removing items.
Index: in/waeup.kofa/trunk/buildout-windows.cfg
===================================================================
--- /main/waeup.kofa/trunk/buildout-windows.cfg	(revision 11522)
+++ 	(revision )
@@ -1,87 +1,0 @@
-[buildout]
-develop = .
-parts =
-    eggbasket
-    app
-    mkdirs
-    zope_conf
-    site_zcml
-    zdaemon_conf
-    deploy_ini
-    debug_ini
-# For backward compatibility, telling buildout not to throw away
-# the data and log subdirectories from the parts directory.
-    data
-    log
-# newest = false
-
-extends = versions.cfg
-
-# eggs will be installed in the default buildout location
-# (see .buildout/default.cfg in your home directory)
-# unless you specify an eggs-directory option here.
-
-[app]
-# This creates only the paster script in bin/.
-recipe = zc.recipe.egg
-eggs = waeup.kofa
-       z3c.evalexception>=2.0
-       Paste
-       PasteScript
-       PasteDeploy
-interpreter = python-console
-scripts = paster=paster
-
-[mkdirs]
-recipe = z3c.recipe.mkdir
-paths =
-    ${zope_conf:filestorage}
-    ${zope_conf:logfiles}
-    ${zope_conf:blobstorage}
-    ${buildout:directory}/var/datacenter/media
-
-[zope_conf]
-recipe = collective.recipe.template
-input = etc/zope.conf.in
-output = ${buildout:parts-directory}/etc/zope.conf
-filestorage = ${buildout:directory}/var/filestorage
-blobstorage = ${buildout:directory}/var/blobstorage
-logfiles = ${buildout:directory}/var/log
-extra =
-# extra = <grokwarnings>True</grokwarnings>
-# 'extra' is copied verbatim. Use it for product config sections and so.
-
-# The [data] and [log] parts are still in here to instruct buildout to not
-# unintentionally throw away the parts/data and parts/log subdirectories
-# that contain the Data.fs and the log files. These files should be
-# copied to the new locations. See the upgrade notes for more information.
-[data]
-recipe = zc.recipe.filestorage
-
-[log]
-recipe = zc.recipe.filestorage
-
-[site_zcml]
-recipe = collective.recipe.template
-input = etc/site.zcml.in
-output = ${buildout:parts-directory}/etc/site.zcml
-
-[zdaemon_conf]
-recipe = collective.recipe.template
-input = etc/zdaemon.conf.in
-output = ${buildout:parts-directory}/etc/zdaemon.conf
-
-[deploy_ini]
-recipe = collective.recipe.template
-input = etc/deploy.ini.in
-output = ${buildout:parts-directory}/etc/deploy.ini
-
-[debug_ini]
-recipe = collective.recipe.template
-input = etc/debug.ini.in
-output = ${buildout:parts-directory}/etc/debug.ini
-
-[eggbasket]
-recipe = z3c.recipe.eggbasket
-eggs = grok
-url = http://grok.zope.org/releaseinfo/grok-eggs-1.1.tgz
Index: in/waeup.kofa/trunk/docs/INSTALLWIN.txt
===================================================================
--- /main/waeup.kofa/trunk/docs/INSTALLWIN.txt	(revision 11522)
+++ 	(revision )
@@ -1,89 +1,0 @@
-Installation on Windows (XP, 2000, Vista, 7)
-********************************************
-
-.. note:: `waeup.kofa` has been developed to run on Linux servers,
-          preferarbly with an Ubuntu OS. The installation on Windows computers
-          is for demonstration purposes only.
-
-Install Python
-==============
-
-**Step 1.** Install Python. Currently, version 2.6.x is supported.
-Note that these links point to installers for the ordinary x86 processor architecture.
-We recommend to download the follwoing software and install into ``C:\Python26``:
-
-| http://www.python.org/ftp/python/2.6.0/python-2.6.0.msi
-| http://sourceforge.net/project/downloading.php?group_id=78018&filename=pywin32-213.win32-py2.6.exe
-| http://pypi.python.org/packages/2.6/s/setuptools/setuptools-0.6c11.win32-py2.6.exe
-
-**Step 2**. Add ``C:\Python26\Scripts\`` to your system path:
-
-- Right-click on the My Computer icon. (Under Windows XP, Vista, or Windows 7, the My Computer Icon may be located in the start menu.)
-
-- Choose Properties from the context menu. Alternatively, you can double-click on the System icon in the Control Panel.
-
-- Click the Advanced tab or "Advanced system settings" on Windows Vista or Windows 7
-
-- Click the Environment Variables button.
-
-- Click on the variable called 'Path' and then click on Edit. Now add ``C:\Python26\Scripts\`` to the value of the variable, using a semi-colon as a separator.
-
-- Reboot Windows
-
-Install a Virtual Python Environment
-====================================
-
-**Step 3**. Open up a command window and change to the folder where you want to place the sandbox
-that will contain your Kofa project. In this HowTo we will assume and recommend this folder is ``C:\`` ::
-
-  C:\[any_path]> cd c:\
-
-**Step 4**. Install virtualenv by using the command::
-
- C:\> easy_install virtualenv
-
-**Step 5**. Create an isolated environment (sandbox) using the command::
-
- C:\> virtualenv winkofa
-
-**Step 6**. Activate the environment::
-
- C:\> cd winkofa
- C:\winkofa> Scripts\activate
-
-Note that the system prompt has changed.
-
-Run Kofa
-========
-
-**Step 7**. Copy the ``waeup.kofa`` folder into ``C:\winkofa``.
-
-**Step 8**. Run the bootstrap script::
-
- (winkofa) C:\winkofa\waeup.kofa> cd waeup.kofa
- (winkofa) C:\winkofa\waeup.kofa> python bootstrap\bootstrap.py -c buildout-windows.cfg
-
-**Step 9**. Run buildout (this takes a while)::
-
- C:\winkofa\waeup.kofa> bin\buildout.exe -c buildout-windows.cfg
-
-**Step 10**. You can deactivate your environment again::
-
- (winkofa) C:\winkofa\waeup.kofa> ..\Scripts\deactivate
-
-**Step 11**. Remove beaker from C:\winkofa\waeup.kofa\src\waeup\kofa\configure.zcml.
-
-**Step 12**. Start your Kofa::
-
- C:\winkofa\waeup.kofa> bin\paster serve parts\etc\deploy.ini
-
-or from anywhere in your system::
-
- C:\[any_path]> C:\winkofa\trunk\bin\paster serve C:\winkofa\trunk\parts\etc\deploy.ini
-
-**Step 13**. Visit the Kofa website and create your university instance:
-
-| http://localhost:8080
-| user name: grok
-| password: grok
-
Index: /main/waeup.kofa/trunk/docs/source/userdocs/index.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/index.rst	(revision 11522)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/index.rst	(revision 11523)
@@ -6,4 +6,3 @@
 
    install
-   install_on_windows
    buildingdocs
Index: in/waeup.kofa/trunk/docs/source/userdocs/install_on_windows.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/install_on_windows.rst	(revision 11522)
+++ 	(revision )
@@ -1,3 +1,0 @@
-.. _installing_win:
-
-.. include:: ../../INSTALLWIN.txt