Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 11496)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 11535)
@@ -503,5 +503,5 @@
     prefix = 'form'
 
-    omit_fields = ('date_of_birth',)
+    omit_fields = ('date_of_birth', 'current_level')
 
     form_fields = grok.AutoFields(IStudentBase).select('student_id', 'reg_number')
@@ -677,5 +677,5 @@
         'suspended', 'phone',
         'adm_code', 'suspended_comment',
-        'date_of_birth')
+        'date_of_birth', 'current_level')
 
     @property
@@ -1216,5 +1216,5 @@
         'department', 'faculty', 'current_mode', 'entry_session', 'certificate',
         'password', 'suspended', 'phone', 'email',
-        'adm_code', 'suspended_comment')
+        'adm_code', 'suspended_comment', 'current_level')
 
     def update(self):
@@ -1366,5 +1366,5 @@
     omit_fields = (
         'password', 'suspended', 'phone', 'date_of_birth',
-        'adm_code', 'sex', 'suspended_comment')
+        'adm_code', 'sex', 'suspended_comment', 'current_level')
 
     @property
@@ -1895,5 +1895,5 @@
     omit_fields = (
         'password', 'suspended', 'phone', 'date_of_birth',
-        'adm_code', 'sex', 'suspended_comment')
+        'adm_code', 'sex', 'suspended_comment', 'current_level')
 
     @property
@@ -2142,5 +2142,5 @@
     omit_fields = (
         'password', 'suspended', 'phone', 'adm_code',
-        'suspended_comment', 'date_of_birth')
+        'suspended_comment', 'date_of_birth', 'current_level')
 
     @property
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 11496)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 11535)
@@ -3441,6 +3441,7 @@
             'automatic,carry_over,code,credits,dcode,fcode,level,'
             'level_session,mandatory,passmark,score,semester,title,'
-            'student_id,certcode\r\n1,0,COURSE1,10,dep1,fac1,100,2004,1,40,,1,'
-            'Unnamed Course,K1000000,CERT1\r\n')
+            'student_id,certcode,display_fullname\r\n1,0,COURSE1,10,'
+            'dep1,fac1,100,2004,1,40,,1,'
+            'Unnamed Course,K1000000,CERT1,Anna Tester\r\n')
 
         self.assertEqual(len(self.app['datacenter'].running_exports), 1)
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 11496)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 11535)
@@ -35,4 +35,5 @@
 from waeup.kofa.students.interfaces import IStudentsUtils
 from waeup.kofa.students.workflow import ADMITTED
+from waeup.kofa.students.vocabularies import StudyLevelSource
 from waeup.kofa.browser.pdf import (
     ENTRY1_STYLE, format_html, NOTE_STYLE, HEADING_STYLE, 
@@ -166,6 +167,5 @@
         if not 'current_mode' in omit_fields:
             studymodes_dict = getUtility(IKofaUtils).STUDY_MODES_DICT
-            sm = studymodes_dict[studentview.context[
-                'studycourse'].certificate.study_mode]
+            sm = studymodes_dict[studentview.context.current_mode]
             f_label = trans(_('Study Mode:'), lang)
             f_label = Paragraph(f_label, ENTRY1_STYLE)
@@ -176,7 +176,18 @@
             f_label = trans(_('Entry Session:'), lang)
             f_label = Paragraph(f_label, ENTRY1_STYLE)
-            entry_session = studentview.context['studycourse'].entry_session
+            entry_session = studentview.context.entry_session
             entry_session = academic_sessions_vocab.getTerm(entry_session).title
             f_text = formatted_text(entry_session)
+            f_text = Paragraph(f_text, ENTRY1_STYLE)
+            data_right.append([f_label,f_text])
+        # Requested by Uniben, does not really make sense
+        if not 'current_level' in omit_fields:
+            f_label = trans(_('Current Level:'), lang)
+            f_label = Paragraph(f_label, ENTRY1_STYLE)
+            current_level = studentview.context['studycourse'].current_level
+            studylevelsource = StudyLevelSource().factory
+            current_level = studylevelsource.getTitle(
+                studentview.context, current_level)
+            f_text = formatted_text(current_level)
             f_text = Paragraph(f_text, ENTRY1_STYLE)
             data_right.append([f_label,f_text])