Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/enterpin.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/enterpin.pt	(revision 11550)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/enterpin.pt	(revision 11551)
@@ -9,6 +9,8 @@
         <span tal:replace="view/ac_prefix">PIN Prefix</span> -
         <input name="ac_series" type="text" maxlength="3"
+               class="ac-input ac-series"
                value="" tal:attributes="value view/ac_series"/> -
         <input name="ac_number" type="text" maxlength="10"
+               class="ac-input ac-number"
                value="" tal:attributes="value view/ac_number" />
         <font color="red"><span tal:replace="view/notice">Notice</span>
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/setpassword.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/setpassword.pt	(revision 11550)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/setpassword.pt	(revision 11551)
@@ -7,5 +7,5 @@
       </td>
       <td>
-        <input class="span5" name="reg_number" type="text"
+        <input name="reg_number" type="text"
                value="" tal:attributes="value view/reg_number"/>
       </td>
@@ -19,17 +19,19 @@
             PINPREFIX
           </span> -
-          <input class="span1" name="ac_series" type="text"
+          <input name="ac_series" type="text"
+                 class="ac-input ac-series"
                  value="" tal:attributes="value view/ac_series"/> -
-          <input class="span3" name="ac_number" type="text"
+          <input name="ac_number" type="text"
+                 class="ac-input ac-number"
                  value="" tal:attributes="value view/ac_number" /> </td>
       </tr>
     </tbody>
   </table>
-  <input type="submit" name="SUBMIT" class="btn primary"
+  <input type="submit" name="SUBMIT" class="btn btn-primary"
          tal:attributes="value view/set_button" />
 </form>
 <div i18n:domain="waeup.kofa" >
   <h3 i18n:translate="">Instructions:</h3>
-  <ul class="list" i18n:translate="">
+  <ul i18n:translate="">
     <li> Acquire a password access code (PWD).
     </li>
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/transcript.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/transcript.pt	(revision 11550)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/transcript.pt	(revision 11551)
@@ -6,5 +6,5 @@
     <tal:block repeat="widget view/widgets">
       <tr>
-        <td class="fieldname">
+        <td>
           <span tal:content="widget/label">label</span>:
         </td>
@@ -17,5 +17,5 @@
     </tal:block>
     <tr>
-      <td class="filedname">
+      <td>
         <span i18n:translate="">Cumulative GPA</span>:
       </td>
@@ -29,5 +29,5 @@
 <h3 i18n:domain="waeup.kofa" i18n:translate="">Subjects/Courses</h3>
 
-<table i18n:domain="waeup.kofa">
+<table i18n:domain="waeup.kofa" class="form-table" >
   <thead>
     <tr>
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/transcriptprocess.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/transcriptprocess.pt	(revision 11550)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/transcriptprocess.pt	(revision 11551)
@@ -30,5 +30,5 @@
             <td colspan="2">
               <br />
-              <input type="submit" name="SUBMIT" class="btn primary"
+              <input type="submit" name="SUBMIT" class="btn btn-primary"
                      tal:attributes="value view/buttonname" />
             </td>
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/transcriptrequest.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/transcriptrequest.pt	(revision 11550)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/transcriptrequest.pt	(revision 11551)
@@ -21,31 +21,33 @@
         <tbody>
           <tr>
-            <td i18n:translate="">
-            Cover Letter:
+            <td i18n:translate="" class="fieldname">
+              Cover Letter:
             </td>
             <td>
-            <textarea cols="60" name="comment" rows="6"></textarea>
+              <textarea cols="60" name="comment" rows="6"></textarea>
+            </td>
+          </tr>
+          <tr>
+            <td i18n:translate="" class="fieldname">
+              Dispatch Address:
+            </td>
+            <td>
+              <textarea cols="60" name="address" rows="6"></textarea>
             </td>
           </tr>
           <tr>
             <td i18n:translate="">
-            Dispatch Address:
+              Activation Code:
             </td>
             <td>
-            <textarea cols="60" name="address" rows="6"></textarea>
-            </td>
-          </tr>
-          <tr>
-            <td i18n:translate="">
-            Activation Code:
-            </td>
-            <td>
-            <span tal:replace="view/ac_prefix">PIN Prefix</span> -
-            <input name="ac_series" type="text" class="span1" maxlength="3"
-                   value="" tal:attributes="value view/ac_series"/> -
-            <input name="ac_number" type="text" class="span3" maxlength="10"
-                   value="" tal:attributes="value view/ac_number" />
-            <font color="red"><span tal:replace="view/notice">Notice</span>
-            </font>
+              <span tal:replace="view/ac_prefix">PIN Prefix</span> -
+              <input name="ac_series" type="text" maxlength="3"
+                     class="ac-input ac-series"
+                     value="" tal:attributes="value view/ac_series"/> -
+              <input name="ac_number" type="text" maxlength="10"
+                     class="ac-input ac-number"
+                     value="" tal:attributes="value view/ac_number" />
+              <font color="red"><span tal:replace="view/notice">Notice</span>
+              </font>
             </td>
           </tr>
@@ -58,5 +60,5 @@
           <tr>
             <td colspan="2">
-              <input type="submit" name="SUBMIT" class="btn primary"
+              <input type="submit" name="SUBMIT" class="btn btn-primary"
                      tal:attributes="value view/buttonname" />
             </td>
@@ -65,5 +67,5 @@
       </table>
       <span tal:omit-tag="" tal:condition="not: view/with_ac">
-        <input type="submit" name="SUBMIT" class="btn primary"
+        <input type="submit" name="SUBMIT" class="btn btn-primary"
                tal:attributes="value view/buttonname" />
       </span>