Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 11539)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 11557)
@@ -100,6 +100,4 @@
         xmldict['provider_item_name'] = PROVIDER_ITEM_NAME
         # Institution data
-        xmldict['institution_acct'] = "0000000000000"
-        xmldict['institution_bank_id'] = '0'
         xmldict['institution_item_name'] = self.category
         xmldict['institution_name'] = INSTITUTION_NAME
@@ -109,4 +107,6 @@
         gateway_amt = GATEWAY_AMT
         self.pay_item_id = '000'
+        xmldict['institution_acct'] = "7000016724"
+        xmldict['institution_bank_id'] = "9"
         if self.context.p_category == 'schoolfee':
             self.pay_item_id = '101'
@@ -138,50 +138,26 @@
         elif self.context.p_category == 'certificate':
             self.pay_item_id = '111'
-            xmldict['institution_acct'] = "0131959715"
-            xmldict['institution_bank_id'] = '10'
         elif self.context.p_category == 'state_result':
             self.pay_item_id = '112'
-            xmldict['institution_acct'] = "0131959715"
-            xmldict['institution_bank_id'] = '10'
         elif self.context.p_category == 'transcript_local':
             self.pay_item_id = '113'
-            xmldict['institution_acct'] = "0131959715"
-            xmldict['institution_bank_id'] = '10'
         elif self.context.p_category == 'transcript_foreign':
             self.pay_item_id = '114'
-            xmldict['institution_acct'] = "0131959715"
-            xmldict['institution_bank_id'] = '10'
         elif self.context.p_category == 'ver_result':
             self.pay_item_id = '115'
-            xmldict['institution_acct'] = "0131959715"
-            xmldict['institution_bank_id'] = '10'
         elif self.context.p_category == 'change_course':
             self.pay_item_id = '116'
-            xmldict['institution_acct'] = "0131959715"
-            xmldict['institution_bank_id'] = '10'
         elif self.context.p_category == 'change_inst':
             self.pay_item_id = '117'
-            xmldict['institution_acct'] = "0131959715"
-            xmldict['institution_bank_id'] = '10'
         elif self.context.p_category == 'jamb_reject':
             self.pay_item_id = '118'
-            xmldict['institution_acct'] = "0131959715"
-            xmldict['institution_bank_id'] = '10'
         elif self.context.p_category == 'cert_of_cert':
             self.pay_item_id = '119'
-            xmldict['institution_acct'] = "0131959715"
-            xmldict['institution_bank_id'] = '10'
         elif self.context.p_category == 'ref_let':
             self.pay_item_id = '120'
-            xmldict['institution_acct'] = "0131959715"
-            xmldict['institution_bank_id'] = '10'
         elif self.context.p_category == 'proc_cert':
             self.pay_item_id = '121'
-            xmldict['institution_acct'] = "0131959715"
-            xmldict['institution_bank_id'] = '10'
         elif self.context.p_category == 'loss_idcard':
             self.pay_item_id = '122'
-            xmldict['institution_acct'] = "0131959715"
-            xmldict['institution_bank_id'] = '10'
             dalash_amt = 6.0
             xmldict['dalash_amt'] = 100 * dalash_amt
@@ -190,6 +166,4 @@
         elif self.context.p_category == 'loss_examcard':
             self.pay_item_id = '123'
-            xmldict['institution_acct'] = "0131959715"
-            xmldict['institution_bank_id'] = '10'
             dalash_amt = 3.0
             xmldict['dalash_amt'] = 100 * dalash_amt
@@ -198,18 +172,10 @@
         elif self.context.p_category == 'loss_result':
             self.pay_item_id = '124'
-            xmldict['institution_acct'] = "0131959715"
-            xmldict['institution_bank_id'] = '10'
         elif self.context.p_category == 'loss_receipt':
             self.pay_item_id = '125'
-            xmldict['institution_acct'] = "0131959715"
-            xmldict['institution_bank_id'] = '10'
         elif self.context.p_category == 'loss_clearance':
             self.pay_item_id = '126'
-            xmldict['institution_acct'] = "0131959715"
-            xmldict['institution_bank_id'] = '10'
         elif self.context.p_category == 'conv_brochure':
             self.pay_item_id = '127'
-            xmldict['institution_acct'] = "0131959715"
-            xmldict['institution_bank_id'] = '10'
         elif 'maintenance' in self.context.p_category:
             self.pay_item_id = '102'
@@ -218,5 +184,7 @@
             dalash_amt = 0.0
             provider_amt = 0.0
-
+        else:
+            xmldict['institution_acct'] = "0000000000000"
+            xmldict['institution_bank_id'] = '0'
 
         xmldict['dalash_amt'] = 100 * dalash_amt
@@ -225,5 +193,4 @@
                 self.context.amount_auth - provider_amt -
                 gateway_amt - dalash_amt)
-
 
         hashargs = (
@@ -323,52 +290,30 @@
             dalash_amt = 0.0
         elif self.applicant.applicant_id.startswith('special'):
+            xmldict['institution_acct'] = "7000016724"
+            xmldict['institution_bank_id'] = '9'
             if self.applicant.special_application == 'certificate':
                 self.pay_item_id = '111'
-                xmldict['institution_acct'] = "0131959715"
-                xmldict['institution_bank_id'] = '10'
             elif self.applicant.special_application == 'state_result':
                 self.pay_item_id = '112'
-                xmldict['institution_acct'] = "0131959715"
-                xmldict['institution_bank_id'] = '10'
             elif self.applicant.special_application == 'transcript_local':
                 self.pay_item_id = '113'
-                xmldict['institution_acct'] = "0131959715"
-                xmldict['institution_bank_id'] = '10'
             elif self.applicant.special_application == 'transcript_foreign':
                 self.pay_item_id = '114'
-                xmldict['institution_acct'] = "0131959715"
-                xmldict['institution_bank_id'] = '10'
             elif self.applicant.special_application == 'ver_result':
                 self.pay_item_id = '115'
-                xmldict['institution_acct'] = "0131959715"
-                xmldict['institution_bank_id'] = '10'
             elif self.applicant.special_application == 'change_course':
                 self.pay_item_id = '116'
-                xmldict['institution_acct'] = "0131959715"
-                xmldict['institution_bank_id'] = '10'
             elif self.applicant.special_application == 'change_inst':
                 self.pay_item_id = '117'
-                xmldict['institution_acct'] = "0131959715"
-                xmldict['institution_bank_id'] = '10'
             elif self.applicant.special_application == 'jamb_reject':
                 self.pay_item_id = '118'
-                xmldict['institution_acct'] = "0131959715"
-                xmldict['institution_bank_id'] = '10'
             elif self.applicant.special_application == 'cert_of_cert':
                 self.pay_item_id = '119'
-                xmldict['institution_acct'] = "0131959715"
-                xmldict['institution_bank_id'] = '10'
             elif self.applicant.special_application == 'ref_let':
                 self.pay_item_id = '120'
-                xmldict['institution_acct'] = "0131959715"
-                xmldict['institution_bank_id'] = '10'
             elif self.applicant.special_application == 'proc_cert':
                 self.pay_item_id = '121'
-                xmldict['institution_acct'] = "0131959715"
-                xmldict['institution_bank_id'] = '10'
             elif self.applicant.special_application == 'loss_idcard':
                 self.pay_item_id = '122'
-                xmldict['institution_acct'] = "0131959715"
-                xmldict['institution_bank_id'] = '10'
                 dalash_amt = 6.0
                 xmldict['dalash_amt'] = 100 * dalash_amt
@@ -377,6 +322,4 @@
             elif self.applicant.special_application == 'loss_examcard':
                 self.pay_item_id = '123'
-                xmldict['institution_acct'] = "0131959715"
-                xmldict['institution_bank_id'] = '10'
                 dalash_amt = 3.0
                 xmldict['dalash_amt'] = 100 * dalash_amt
@@ -385,18 +328,10 @@
             elif self.applicant.special_application == 'loss_result':
                 self.pay_item_id = '124'
-                xmldict['institution_acct'] = "0131959715"
-                xmldict['institution_bank_id'] = '10'
             elif self.applicant.special_application == 'loss_receipt':
                 self.pay_item_id = '125'
-                xmldict['institution_acct'] = "0131959715"
-                xmldict['institution_bank_id'] = '10'
             elif self.applicant.special_application == 'loss_clearance':
                 self.pay_item_id = '126'
-                xmldict['institution_acct'] = "0131959715"
-                xmldict['institution_bank_id'] = '10'
             elif self.applicant.special_application == 'conv_brochure':
                 self.pay_item_id = '127'
-                xmldict['institution_acct'] = "0131959715"
-                xmldict['institution_bank_id'] = '10'
             else:
                 xmldict['institution_acct'] = '00000000000'
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 11539)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 11557)
@@ -592,4 +592,4 @@
         self.assertTrue(
             '<item_detail item_id="1" item_name="transcript_local" '
-            'item_amt="450000" bank_id="10" acct_num="0131959715" />'
-            in self.browser.contents)
+            'item_amt="450000" bank_id="9" acct_num="7000016724" />'
+            in self.browser.contents)