Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 11578)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 11580)
@@ -684,5 +684,5 @@
 
     def update(self):
-        msg, log = self.context.approveApplicantPayment()
+        flashtype, msg, log = self.context.approveApplicantPayment()
         if log is not None:
             applicant = self.context.__parent__
@@ -695,5 +695,5 @@
                 self.context.p_id, self.context.p_category,
                 self.context.amount_auth, self.context.r_code))
-        self.flash(msg, type='warning')
+        self.flash(msg, type=flashtype)
         return
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/payment.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/payment.py	(revision 11578)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/payment.py	(revision 11580)
@@ -50,8 +50,9 @@
             except InvalidTransitionError:
                 msg = log = 'Error: %s' % sys.exc_info()[1]
-                return msg, log
+                return 'danger', msg, log
         log = 'payment approved: %s' % self.p_id
         msg = _('Payment approved')
-        return msg, log
+        flashtype = 'success'
+        return flashtype, msg, log
 
     def doAfterApplicantPayment(self):
@@ -64,8 +65,9 @@
             except InvalidTransitionError:
                 msg = log = 'Error: %s' % sys.exc_info()[1]
-                return msg, log
+                return 'danger', msg, log
         log = 'successful payment: %s' % self.p_id
         msg = _('Successful payment')
-        return msg, log
+        flashtype = 'success'
+        return flashtype, msg, log
 
     def approveApplicantPayment(self):
@@ -73,5 +75,5 @@
         """
         if self.p_state == 'paid':
-            return _('This ticket has already been paid.'), None
+            return 'warning', _('This ticket has already been paid.'), None
         self.approve()
         return self.doAfterApplicantPaymentApproval()
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 11578)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 11580)
@@ -1856,5 +1856,5 @@
 
     def update(self):
-        msg, log = self.context.approveStudentPayment()
+        flashtype, msg, log = self.context.approveStudentPayment()
         if log is not None:
             # Add log message to students.log
@@ -1866,5 +1866,5 @@
                 self.context.p_id, self.context.p_category,
                 self.context.amount_auth, self.context.r_code))
-        self.flash(msg)
+        self.flash(msg, type=flashtype)
         return
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/payments.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/payments.py	(revision 11578)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/payments.py	(revision 11580)
@@ -107,8 +107,9 @@
             error = self._createActivationCodes()
             if error is not None:
-                return error, error
+                return 'danger', error, error
         log = 'successful %s payment: %s' % (self.p_category, self.p_id)
         msg = _('Successful payment')
-        return msg, log
+        flashtype = 'success'
+        return flashtype, msg, log
 
     def doAfterStudentPaymentApproval(self):
@@ -118,8 +119,9 @@
             error = self._createActivationCodes()
             if error is not None:
-                return error, error
+                return 'danger', error, error
         log = '%s payment approved: %s' % (self.p_category, self.p_id)
         msg = _('Payment approved')
-        return msg, log
+        flashtype = 'success'
+        return flashtype, msg, log
 
     def approveStudentPayment(self):
@@ -127,5 +129,5 @@
         """
         if self.p_state == 'paid':
-            return _('This ticket has already been paid.'), None
+            return 'warning', _('This ticket has already been paid.'), None
         self.approve()
         return self.doAfterStudentPaymentApproval()