Index: main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 11620)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 11621)
@@ -157,33 +157,5 @@
                            self.browser.contents)
         self.browser.open(self.payments_path + '/addop')
-        # Also the other payments can be made
-        self.browser.getControl(name="form.p_category").value = ['gown']
-        self.browser.getControl("Create ticket").click()
-        self.assertMatches('...ticket created...',
-                           self.browser.contents)
-        self.browser.open(self.payments_path + '/addop')
-        self.browser.getControl(name="form.p_category").value = ['transfer']
-        self.browser.getControl("Create ticket").click()
-        self.assertMatches('...ticket created...',
-                           self.browser.contents)
-        self.browser.open(self.payments_path + '/addop')
-        self.browser.getControl(
-            name="form.p_category").value = ['bed_allocation']
-        self.browser.getControl("Create ticket").click()
-        self.assertMatches('...ticket created...',
-                           self.browser.contents)
-        self.browser.open(self.payments_path + '/addop')
-        self.browser.getControl(
-            name="form.p_category").value = ['hostel_maintenance']
-        self.browser.getControl("Create ticket").click()
-        self.assertMatches('...ticket created...',
-                           self.browser.contents)
-        self.browser.open(self.payments_path + '/addop')
         self.browser.getControl(name="form.p_category").value = ['clearance']
-        self.browser.getControl("Create ticket").click()
-        self.assertMatches('...ticket created...',
-                           self.browser.contents)
-        self.browser.open(self.payments_path + '/addop')
-        self.browser.getControl(name="form.p_category").value = ['late_registration']
         self.browser.getControl("Create ticket").click()
         self.assertMatches('...ticket created...',
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_utils.py	(revision 11620)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_utils.py	(revision 11621)
@@ -85,32 +85,4 @@
         self.assertEqual(error, None)
 
-        error, payment = utils.setPaymentDetails('gown',self.student)
-        self.assertEqual(payment.p_level, 100)
-        self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 150.0)
-        self.assertEqual(payment.p_item, u'')
-        self.assertEqual(error, None)
-
-        error, payment = utils.setPaymentDetails('hostel_maintenance',self.student)
-        self.assertEqual(payment.p_level, 100)
-        self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 180.0)
-        self.assertEqual(payment.p_item, u'')
-        self.assertEqual(error, None)
-
-        error, payment = utils.setPaymentDetails('bed_allocation',self.student)
-        self.assertEqual(payment.p_level, 100)
-        self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 150.0)
-        self.assertEqual(payment.p_item, u'')
-        self.assertEqual(error, None)
-
-        error, payment = utils.setPaymentDetails('transfer',self.student)
-        self.assertEqual(payment.p_level, 100)
-        self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 90.0)
-        self.assertEqual(payment.p_item, u'')
-        self.assertEqual(error, None)
-
         error, payment = utils.setPaymentDetails('schoolfee',self.student, 2004, 100)
         self.assertEqual(error, u'Previous session payment not yet implemented.')
Index: main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py	(revision 11620)
+++ main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py	(revision 11621)
@@ -46,11 +46,11 @@
         #'schoolfee_2': 'School Fee 2nd instalment',
         'clearance': 'Acceptance Fee',
-        'hostel_maintenance': 'Hostel Maintenance Fee',
+        #'hostel_maintenance': 'Hostel Maintenance Fee',
         'application': 'Application Fee',
-        'gown': 'Gown Hire Fee',
-        'bed_allocation': 'Bed Allocation Fee',
-        'transfer': 'Transfer Fee',
+        #'gown': 'Gown Hire Fee',
+        #'bed_allocation': 'Bed Allocation Fee',
+        #'transfer': 'Transfer Fee',
         'transcript': 'Transcript Fee',
-        'late_registration': 'Late Registration Fee',
+        #'late_registration': 'Late Registration Fee',
         }
 